Summary: A spreadsheet which uses Scheme as a macro langauge
Name: siag
Version: 2.73
Release: 1
Source: ftp://ftp.edu.stockholm.se/pub/siag/siag-2.73.tar.gz
Source1: siag.wmconfig
Source2: siag.sh
Source3: siag.csh
Patch1: siag-2.73-config.patch
Patch2: siag-2.63-offix.patch
URL: http://www.edu.stockholm.se/siag/
Group: Applications/Spreadsheets
BuildRoot: /var/tmp/siag-root
Copyright: GPL

%description
Siag (Scheme In A Grid) is a graphical spreadsheet application that uses 
Scheme (a Lisp dialect) as it's macro langauge.  However, a knowledge of 
Scheme is not needed to use Siag.

%changelog

* Tue May 19 1998 Michael Maher <mike@redhat.com>

- updated package

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>

- tweaked summary and description

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>

- fixed brokenness with /etc/profile.d/siag.sh (needed to export and be exectuable)

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>

- made sure .scm files get into the RPM
- put man pages in the distribution

* Mon Jan 26 1998 Otto Hammersmith <otto@redhat.com>

- added wmconfig

* Wed Jan 21 1998 Otto Hammersmith <otto@redhat.com>

- patched xsiag/Imakefile to build without offix includes installed.

* Tue Jan 20 1998 Otto Hammersmith <otto@redhat.com>

- removed OffiX files from the files list.
- buildrooted

* Tue Jan 13 1998 Otto Hammersmith <otto@redhat.com>

- built the package

%prep
%setup -n siag

%patch1 -p1 -b .config 
#%patch2 -p1 -b .offix

%build
(cd DND/DNDlib
./configure --prefix=/usr
make)

(cd siod
xmkmf
make Makefiles
make depend
make) 

(cd common
xmkmf
make Makefiles
make depend
make)

(cd xcommon
xmkmf
make Makefiles
make depend
make)

(cd siag
xmkmf
make Makefiles
make depend
make)

(cd xsiag
xmkmf
make Makefiles
make depend
make)

%install
# see comment below on OffiX
#(cd DND/DNDlib
#make install)

(cd xsiag
make DESTDIR=$RPM_BUILD_ROOT install)

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/siag.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/siag

install -d $RPM_BUILD_ROOT/usr/share/siag/siag
install -d $RPM_BUILD_ROOT/usr/share/siag/siod
install -m 644 -o root -g root siag/*.scm $RPM_BUILD_ROOT/usr/share/siag/siag
install -m 644 -o root -g root siod/*.scm $RPM_BUILD_ROOT/usr/share/siag/siod

install -d $RPM_BUILD_ROOT/usr/man/man1
install -m 644 -o root -g root siag/siag.man $RPM_BUILD_ROOT/usr/man/man1/siag.1
install -m 644 -o root -g root siod/siod.man $RPM_BUILD_ROOT/usr/man/man1/siod.1

install -d $RPM_BUILD_ROOT/etc/profile.d
install -m 644 -o root -g root $RPM_SOURCE_DIR/siag.sh $RPM_BUILD_ROOT/etc/profile.d
install -m 644 -o root -g root $RPM_SOURCE_DIR/siag.csh $RPM_BUILD_ROOT/etc/profile.d

%clean 
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/siag
/usr/X11R6/lib/X11/app-defaults/Siag
/etc/X11/wmconfig/siag
/usr/man/man1/siag.1
/usr/man/man1/siod.1
/usr/share/siag
%attr(755,root,root)/etc/profile.d/siag.sh
%attr(755,root,root)/etc/profile.d/siag.csh
